<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_221) on Tue Jan 19 16:20:21 PST 2021 -->
<title>org.apache.nutch.scoring.webgraph (apache-nutch 1.18 API)</title>
<meta name="date" content="2021-01-19">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="org.apache.nutch.scoring.webgraph (apache-nutch 1.18 API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-use.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/apache/nutch/scoring/urlmeta/package-summary.html">Prev&nbsp;Package</a></li>
<li><a href="../../../../../org/apache/nutch/segment/package-summary.html">Next&nbsp;Package</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/apache/nutch/scoring/webgraph/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 title="Package" class="title">Package&nbsp;org.apache.nutch.scoring.webgraph</h1>
<div class="docSummary">
<div class="block">Scoring implementation based on link analysis
 (<a href="../../../../../org/apache/nutch/scoring/webgraph/LinkRank.html" title="class in org.apache.nutch.scoring.webgraph"><code>LinkRank</code></a>),
 see <a href="../../../../../org/apache/nutch/scoring/webgraph/WebGraph.html" title="class in org.apache.nutch.scoring.webgraph"><code>WebGraph</code></a>.</div>
</div>
<p>See:&nbsp;<a href="#package.description">Description</a></p>
</div>
<div class="contentContainer">
<ul class="blockList">
<li class="blockList">
<table class="typeSummary" border="0" cellpadding="3" cellspacing="0" summary="Class Summary table, listing classes, and an explanation">
<caption><span>Class Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Class</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../org/apache/nutch/scoring/webgraph/LinkDatum.html" title="class in org.apache.nutch.scoring.webgraph">LinkDatum</a></td>
<td class="colLast">
<div class="block">A class for holding link information including the url, anchor text, a score,
 the timestamp of the link and a link type.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../org/apache/nutch/scoring/webgraph/LinkDumper.html" title="class in org.apache.nutch.scoring.webgraph">LinkDumper</a></td>
<td class="colLast">
<div class="block">The LinkDumper tool creates a database of node to inlink information that can
 be read using the nested Reader class.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../org/apache/nutch/scoring/webgraph/LinkDumper.Inverter.html" title="class in org.apache.nutch.scoring.webgraph">LinkDumper.Inverter</a></td>
<td class="colLast">
<div class="block">Inverts outlinks from the WebGraph to inlinks and attaches node
 information.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../org/apache/nutch/scoring/webgraph/LinkDumper.Inverter.InvertMapper.html" title="class in org.apache.nutch.scoring.webgraph">LinkDumper.Inverter.InvertMapper</a></td>
<td class="colLast">
<div class="block">Wraps all values in ObjectWritables.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../org/apache/nutch/scoring/webgraph/LinkDumper.Inverter.InvertReducer.html" title="class in org.apache.nutch.scoring.webgraph">LinkDumper.Inverter.InvertReducer</a></td>
<td class="colLast">
<div class="block">Inverts outlinks to inlinks while attaching node information to the
 outlink.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../org/apache/nutch/scoring/webgraph/LinkDumper.LinkNode.html" title="class in org.apache.nutch.scoring.webgraph">LinkDumper.LinkNode</a></td>
<td class="colLast">
<div class="block">Bean class which holds url to node information.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../org/apache/nutch/scoring/webgraph/LinkDumper.LinkNodes.html" title="class in org.apache.nutch.scoring.webgraph">LinkDumper.LinkNodes</a></td>
<td class="colLast">
<div class="block">Writable class which holds an array of LinkNode objects.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../org/apache/nutch/scoring/webgraph/LinkDumper.Merger.html" title="class in org.apache.nutch.scoring.webgraph">LinkDumper.Merger</a></td>
<td class="colLast">
<div class="block">Merges LinkNode objects into a single array value per url.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../org/apache/nutch/scoring/webgraph/LinkDumper.Reader.html" title="class in org.apache.nutch.scoring.webgraph">LinkDumper.Reader</a></td>
<td class="colLast">
<div class="block">Reader class which will print out the url and all of its inlinks to system
 out.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../org/apache/nutch/scoring/webgraph/LinkRank.html" title="class in org.apache.nutch.scoring.webgraph">LinkRank</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../org/apache/nutch/scoring/webgraph/Node.html" title="class in org.apache.nutch.scoring.webgraph">Node</a></td>
<td class="colLast">
<div class="block">A class which holds the number of inlinks and outlinks for a given url along
 with an inlink score from a link analysis program and any metadata.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../org/apache/nutch/scoring/webgraph/NodeDumper.html" title="class in org.apache.nutch.scoring.webgraph">NodeDumper</a></td>
<td class="colLast">
<div class="block">A tools that dumps out the top urls by number of inlinks, number of outlinks,
 or by score, to a text file.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../org/apache/nutch/scoring/webgraph/NodeDumper.Dumper.html" title="class in org.apache.nutch.scoring.webgraph">NodeDumper.Dumper</a></td>
<td class="colLast">
<div class="block">Outputs the hosts or domains with an associated value.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../org/apache/nutch/scoring/webgraph/NodeDumper.Dumper.DumperMapper.html" title="class in org.apache.nutch.scoring.webgraph">NodeDumper.Dumper.DumperMapper</a></td>
<td class="colLast">
<div class="block">Outputs the host or domain as key for this record and numInlinks,
 numOutlinks or score as the value.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../org/apache/nutch/scoring/webgraph/NodeDumper.Dumper.DumperReducer.html" title="class in org.apache.nutch.scoring.webgraph">NodeDumper.Dumper.DumperReducer</a></td>
<td class="colLast">
<div class="block">Outputs either the sum or the top value for this record.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../org/apache/nutch/scoring/webgraph/NodeDumper.Sorter.html" title="class in org.apache.nutch.scoring.webgraph">NodeDumper.Sorter</a></td>
<td class="colLast">
<div class="block">Outputs the top urls sorted in descending order.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../org/apache/nutch/scoring/webgraph/NodeDumper.Sorter.SorterMapper.html" title="class in org.apache.nutch.scoring.webgraph">NodeDumper.Sorter.SorterMapper</a></td>
<td class="colLast">
<div class="block">Outputs the url with the appropriate number of inlinks, outlinks, or for
 score.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../org/apache/nutch/scoring/webgraph/NodeDumper.Sorter.SorterReducer.html" title="class in org.apache.nutch.scoring.webgraph">NodeDumper.Sorter.SorterReducer</a></td>
<td class="colLast">
<div class="block">Flips and collects the url and numeric sort value.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../org/apache/nutch/scoring/webgraph/NodeReader.html" title="class in org.apache.nutch.scoring.webgraph">NodeReader</a></td>
<td class="colLast">
<div class="block">Reads and prints to system out information for a single node from the NodeDb
 in the WebGraph.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../org/apache/nutch/scoring/webgraph/ScoreUpdater.html" title="class in org.apache.nutch.scoring.webgraph">ScoreUpdater</a></td>
<td class="colLast">
<div class="block">Updates the score from the WebGraph node database into the crawl database.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../org/apache/nutch/scoring/webgraph/ScoreUpdater.ScoreUpdaterMapper.html" title="class in org.apache.nutch.scoring.webgraph">ScoreUpdater.ScoreUpdaterMapper</a></td>
<td class="colLast">
<div class="block">Changes input into ObjectWritables.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../org/apache/nutch/scoring/webgraph/ScoreUpdater.ScoreUpdaterReducer.html" title="class in org.apache.nutch.scoring.webgraph">ScoreUpdater.ScoreUpdaterReducer</a></td>
<td class="colLast">
<div class="block">Creates new CrawlDatum objects with the updated score from the NodeDb or
 with a cleared score.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../org/apache/nutch/scoring/webgraph/WebGraph.html" title="class in org.apache.nutch.scoring.webgraph">WebGraph</a></td>
<td class="colLast">
<div class="block">Creates three databases, one for inlinks, one for outlinks, and a node
 database that holds the number of in and outlinks to a url and the current
 score for the url.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../org/apache/nutch/scoring/webgraph/WebGraph.OutlinkDb.html" title="class in org.apache.nutch.scoring.webgraph">WebGraph.OutlinkDb</a></td>
<td class="colLast">
<div class="block">The OutlinkDb creates a database of all outlinks.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../org/apache/nutch/scoring/webgraph/WebGraph.OutlinkDb.OutlinkDbMapper.html" title="class in org.apache.nutch.scoring.webgraph">WebGraph.OutlinkDb.OutlinkDbMapper</a></td>
<td class="colLast">
<div class="block">Passes through existing LinkDatum objects from an existing OutlinkDb and
 maps out new LinkDatum objects from new crawls ParseData.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../org/apache/nutch/scoring/webgraph/WebGraph.OutlinkDb.OutlinkDbReducer.html" title="class in org.apache.nutch.scoring.webgraph">WebGraph.OutlinkDb.OutlinkDbReducer</a></td>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</li>
</ul>
<a name="package.description">
<!--   -->
</a>
<h2 title="Package org.apache.nutch.scoring.webgraph Description">Package org.apache.nutch.scoring.webgraph Description</h2>
<div class="block">Scoring implementation based on link analysis
 (<a href="../../../../../org/apache/nutch/scoring/webgraph/LinkRank.html" title="class in org.apache.nutch.scoring.webgraph"><code>LinkRank</code></a>),
 see <a href="../../../../../org/apache/nutch/scoring/webgraph/WebGraph.html" title="class in org.apache.nutch.scoring.webgraph"><code>WebGraph</code></a>.</div>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-use.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/apache/nutch/scoring/urlmeta/package-summary.html">Prev&nbsp;Package</a></li>
<li><a href="../../../../../org/apache/nutch/segment/package-summary.html">Next&nbsp;Package</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/apache/nutch/scoring/webgraph/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2021 The Apache Software Foundation</small></p>
</body>
</html>
